document.getElementById('generate-btn').addEventListener('click', function() {
  const walletName = document.getElementById('wallet-name').value.trim();
  if (!walletName) {
    alert('Please enter a wallet name.');
    return;
  }

  // Simulate generating a Bitcoin address and private key
  const bitcoinAddress = generateBitcoinAddress();
  const privateKey = generatePrivateKey();

  document.getElementById('result-name').textContent = walletName;
  document.getElementById('result-address').textContent = bitcoinAddress;
  document.getElementById('result-private-key').textContent = privateKey;
  document.querySelector('.result').style.display = 'block';
});

function generateBitcoinAddress() {
  // This is a simplified simulation. In a real application, use a proper library.
  return '1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa';
}

function generatePrivateKey() {
  // This is a simplified simulation. In a real application, use a proper library.
  return '5Kb8kLf9zgWQnogidDA76MzPL6TsZZY36hWXMssSzNydYXYB9KF';
}